# $Revision: 1.36 $, $Date: 2011/01/05 10:49:40 $
#
# Conditional build:
%bcond_without	doc	# build without documentation
#
Summary:	ZZipLib - libZ-based ZIP-access Library
Summary(pl.UTF-8):	ZZipLib - biblioteka dostępu do archiwów ZIP
Name:		zziplib
Version:	0.13.60
Release:	1
Epoch:		1
License:	LGPL v2 or MPL 1.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/zziplib/%{name}-%{version}.tar.bz2
# Source0-md5:	54a6aa53262483a4d54f7c59f0a7258b
Patch0:		%{name}-ac.patch
Patch1:		%{name}-manpages.patch
URL:		http://zziplib.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	xmlto
BuildRequires:	zip
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZZipLib provides read access to zipped files in a zip-archive, using
compression based solely on free algorithms provided by zlib. ZZipLib
provides an additional API to transparently access files being either
real files or zipped files with the same filepath argument. This is
handy to package many files being shared data into a single zip file -
as it is sometimes used with gamedata or script repositories. The
library itself is fully multithreaded, and it is namespace clean using
the zzip_ prefix for its exports and declarations.

%description -l pl.UTF-8
ZZipLib pozwala na odczyt plików skompresowanych w archiwach zip,
używając do dekompresji wolnodostępnych algorytmów z biblioteki zlib.
ZZipLib dostarcza dodatkowe API do przezroczystego dostępu do plików
rzeczywistych lub umieszczonych w archiwach zip przy pomocy takiej
samej ścieżki. Jest to przydatne przy trzymaniu wielu plików w jednym
archiwum, co bywa stosowane w przypadku danych dla gier lub
repozytoriów. Biblioteka jest w pełni wielowątkowa i ma czystą
przestrzeń nazw (używa prefiksu zzip_).

%package devel
Summary:	ZZipLib - Development Files
Summary(pl.UTF-8):	Pliki dla programistów ZZipLib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
These are the header files needed to develop programs using zziplib.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów
korzystających z biblioteki zziplib.

%package static
Summary:	ZZipLib static library
Summary(pl.UTF-8):	Statyczna biblioteka ZZipLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
ZZipLib static library.

%description static -l pl.UTF-8
Statyczna biblioteka ZZipLib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-builddir

%{__make}
%{__make} -j1 check
%if %{with doc}
%{__make} doc
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with doc}
%{__make} install-man3 -C docs \
	DESTDIR=$RPM_BUILD_ROOT
%endif

# we don't need these compat symlinks
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libzzip*-0.so.{10,11,12}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO docs/COPYING.ZLIB
%attr(755,root,root) %{_bindir}/zzcat
%attr(755,root,root) %{_bindir}/zzdir
%attr(755,root,root) %{_bindir}/zzxor*
%attr(755,root,root) %{_bindir}/unzip-mem
%attr(755,root,root) %{_bindir}/unzzip*
%attr(755,root,root) %{_libdir}/libzzip-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzzip-0.so.13
%attr(755,root,root) %{_libdir}/libzzipfseeko-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzzipfseeko-0.so.13
%attr(755,root,root) %{_libdir}/libzzipmmapped-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzzipmmapped-0.so.13
%attr(755,root,root) %{_libdir}/libzzipwrap-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzzipwrap-0.so.13

%files devel
%defattr(644,root,root,755)
%if %{with doc}
%doc docs/*.{html,css}
%endif
%attr(755,root,root) %{_libdir}/libzzip.so
%attr(755,root,root) %{_libdir}/libzzipfseeko.so
%attr(755,root,root) %{_libdir}/libzzipmmapped.so
%attr(755,root,root) %{_libdir}/libzzipwrap.so
%{_libdir}/libzzip.la
%{_libdir}/libzzipfseeko.la
%{_libdir}/libzzipmmapped.la
%{_libdir}/libzzipwrap.la
%{_includedir}/zzip
%{_includedir}/zzip*.h
%if %{with doc}
%{_mandir}/man3/__zzip_*.3*
%{_mandir}/man3/zzip_*.3*
%endif
%{_pkgconfigdir}/zzip-zlib-config.pc
%{_pkgconfigdir}/zzipfseeko.pc
%{_pkgconfigdir}/zziplib.pc
%{_pkgconfigdir}/zzipmmapped.pc
%{_pkgconfigdir}/zzipwrap.pc
%{_aclocaldir}/zziplib.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libzzip.a
%{_libdir}/libzzipfseeko.a
%{_libdir}/libzzipmmapped.a
%{_libdir}/libzzipwrap.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zziplib.spec,v $
Revision 1.36  2011/01/05 10:49:40  lisu
- updated to 0.13.60

Revision 1.35  2010/11/14 13:13:23  qboosh
- License is now LGPL or MPL
- updated docs packaging

Revision 1.34  2010/05/13 16:58:20  sparky
- BR: docbook-dtd412-xml, pkgconfig, python, python-modules, zip

Revision 1.33  2010/03/30 12:53:55  lisu
- up to 0.13.59
- -fetch.patch no longer needed

Revision 1.32  2009/10/23 18:30:24  lkrotowski
- fixed multi-job build

Revision 1.31  2009/08/25 08:19:17  lisu
- up to 0.13.58

Revision 1.30  2009/07/13 07:43:35  lisu
- -fetch.patch included (fix install)

Revision 1.29  2009/06/08 10:44:39  lisu
- up to 0.13.54
- -manpages.patch - put man pages into proper place

Revision 1.28  2009/03/30 11:51:06  lisu
- 0.13.50

Revision 1.27  2008/05/27 17:25:52  qboosh
- more verbose files, ghost soname symlinks

Revision 1.26  2008-05-22 12:02:34  witekfl
- up to 0.13.49

Revision 1.25  2007-02-12 22:09:26  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.23  2006/08/24 13:29:51  qboosh
- updated to 0.13.47, added ac patch

Revision 1.22  2005/12/23 23:11:28  qboosh
- updated to 0.13.45

Revision 1.21  2005/10/18 22:42:55  qboosh
- updated to 0.13.44

Revision 1.20  2005/06/13 15:09:36  darekr
- typo

Revision 1.19  2005/01/08 16:43:14  qboosh
- updated to 0.13.38

Revision 1.18  2004/11/23 22:48:08  qboosh
- cleanup (zziplib-config removed in favour of pkg-config)

Revision 1.17  2004/11/22 16:06:49  undefine
- up to 0.13.36

Revision 1.16  2004/09/25 11:20:56  radek
- cosmetics (spaces -> tabs)

Revision 1.15  2004/08/22 16:07:28  qboosh
- fixed typo, man pages are back

Revision 1.14  2004/08/18 19:10:38  havner
- man pages disappeared?
- rel 2

Revision 1.13  2004/06/27 13:43:02  qboosh
- bcond header, strict internal deps

Revision 1.12  2004/06/26 22:40:00  jack
- renamed docs bcond to doc

Revision 1.11  2003/12/21 18:59:14  jajcus
- without docs bcond

Revision 1.10  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.9  2003/05/25 11:01:49  malekith
- massive attack, adding Source-md5

Revision 1.8  2003/05/25 06:28:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/09 10:48:11  qboosh
- use http for sources from sourceforge

Revision 1.6  2003/02/19 11:09:05  qboosh
- BR: libtool >= 1.4.3 (AC_CONFIG_AUX_DIR in configure.ac)

Revision 1.5  2003/01/18 13:27:58  qboosh
- updated to 0.12.23
- libtoolize to use fixed libtool when linking binaries

Revision 1.4  2002/11/25 14:18:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.3  2002/07/25 07:30:33  qboosh
- removed zzip-config from base; release 2

Revision 1.2  2002/07/23 15:17:40  wiget
- updated to 0.10.64
- new doc
- License clarification

Revision 1.1  2002/05/03 17:34:38  qboosh
- new; spec taken from original archive and rewritten
